Package commoble.morered.wires

# Class ColoredCableBlockEntity

java.lang.Object
net.minecraftforge.common.capabilities.CapabilityProvider<net.minecraft.world.level.block.entity.BlockEntity>
net.minecraft.world.level.block.entity.BlockEntity
commoble.morered.wires.WireBlockEntity
commoble.morered.wires.ColoredCableBlockEntity

All Implemented Interfaces:
  `net.minecraftforge.common.capabilities.ICapabilityProvider`, `net.minecraftforge.common.capabilities.ICapabilityProviderImpl<net.minecraft.world.level.block.entity.BlockEntity>`, `net.minecraftforge.common.capabilities.ICapabilitySerializable<net.minecraft.nbt.CompoundTag>`, `net.minecraftforge.common.extensions.IForgeBlockEntity`, `net.minecraftforge.common.util.INBTSerializable<net.minecraft.nbt.CompoundTag>`

public class ColoredCableBlockEntity extends WireBlockEntity

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected class`
`ColoredCableBlockEntity.SidedPowerSupplier`

## Nested classes/interfaces inherited from class net.minecraftforge.common.capabilities.CapabilityProvider

`net.minecraftforge.common.capabilities.CapabilityProvider.AsField<B extends net.minecraftforge.common.capabilities.ICapabilityProviderImpl<B>>`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Map<net.minecraft.core.Direction,net.minecraftforge.common.util.LazyOptional<ChanneledPowerSupplier>>`
`sidedPowerSuppliers`

### Fields inherited from class commoble.morered.wires.WireBlockEntity

`power, POWER`

### Fields inherited from class net.minecraft.world.level.block.entity.BlockEntity

`level, remove, worldPosition`

### Fields inherited from interface net.minecraftforge.common.extensions.IForgeBlockEntity

`INFINITE_EXTENT_AABB`

## Constructor Summary

Constructors
Constructor
Description
`ColoredCableBlockEntity(net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state)`
`ColoredCableBlockEntity(net.minecraft.world.level.block.entity.BlockEntityType<ColoredCableBlockEntity> type, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state)`

## Method Summary

Modifier and Type
Method
Description
`<T> net.minecraftforge.common.util.LazyOptional<T>`
`getCapability(net.minecraftforge.common.capabilities.Capability<T> cap, net.minecraft.core.Direction side)`
`void`
`invalidateCaps()`

### Methods inherited from class commoble.morered.wires.WireBlockEntity

`getPower, getPower, getUpdatePacket, getUpdateTag, load, onDataPacket, saveAdditional, setPower, setPower, setPowerRaw`

### Methods inherited from class net.minecraft.world.level.block.entity.BlockEntity

`addEntityType, clearRemoved, fillCrashReportCategory, getBlockPos, getBlockState, getLevel, getPersistentData, getPosFromTag, getType, hasLevel, isRemoved, loadStatic, onChunkUnloaded, onlyOpCanSetNbt, saveToItem, saveWithFullMetadata, saveWithId, saveWithoutMetadata, setBlockState, setChanged, setChanged, setLevel, setRemoved, triggerEvent`

### Methods inherited from class net.minecraftforge.common.capabilities.CapabilityProvider

`areCapsCompatible, areCapsCompatible, deserializeCaps, gatherCapabilities, gatherCapabilities, gatherCapabilities, getCapabilities, reviveCaps, serializeCaps`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.minecraftforge.common.capabilities.ICapabilityProvider

`getCapability`

### Methods inherited from interface net.minecraftforge.common.extensions.IForgeBlockEntity

`deserializeNBT, getModelData, getRenderBoundingBox, handleUpdateTag, hasCustomOutlineRendering, onLoad, requestModelDataUpdate, serializeNBT`

## Field Details

### sidedPowerSuppliers

protected Map<net.minecraft.core.Direction,net.minecraftforge.common.util.LazyOptional<ChanneledPowerSupplier>> sidedPowerSuppliers

## Constructor Details

### ColoredCableBlockEntity

public ColoredCableBlockEntity(net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state)

### ColoredCableBlockEntity

public ColoredCableBlockEntity(net.minecraft.world.level.block.entity.BlockEntityType<ColoredCableBlockEntity> type, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state)

## Method Details

### invalidateCaps

public void invalidateCaps()

Specified by:
  `invalidateCaps` in interface `net.minecraftforge.common.capabilities.ICapabilityProviderImpl<net.minecraft.world.level.block.entity.BlockEntity>`
Overrides:
  `invalidateCaps` in class `net.minecraftforge.common.capabilities.CapabilityProvider<net.minecraft.world.level.block.entity.BlockEntity>`

### getCapability

public <T> net.minecraftforge.common.util.LazyOptional<T> getCapability(net.minecraftforge.common.capabilities.Capability<T> cap, net.minecraft.core.Direction side)

Specified by:
  `getCapability` in interface `net.minecraftforge.common.capabilities.ICapabilityProvider`
Overrides:
  `getCapability` in class `net.minecraftforge.common.capabilities.CapabilityProvider<net.minecraft.world.level.block.entity.BlockEntity>`